%define fontconfig_major 1
%define lib_name %mklibname %{name} %{fontconfig_major}

%define freetype_version 2.1.7

Summary: Font configuration library
Name: fontconfig
Version: 2.4.2
Release: %mkrel 2
License: MIT
Group: System/X11
Source0: http://fontconfig.org/release/fontconfig-%{version}.tar.bz2
# (fc) 2.3.2-3mdk prefer urw fonts
Source1: 00-mdk-urwfonts.conf
# (fc) 2.3.2-3mdk dualwidth for CJK
Source2: 01-mdk-CJK-dualwidth.conf
# (fc) 2.3.2-3mdk disable antialiasing for some fonts
Source3: 02-mdk-disable-antialias.conf
# (fc) 2.3.2-3mdk disable hinting for some fonts/languages
Source4: 03-mdk-disable-hinting.conf
# (fc) 2.3.2-3mdk  Avoid KDE/QT uses some bitmapped fonts (guisseppe)
Source5: 04-mdk-avoid-bitmap.conf
# (fc) 2.3.92-1mdk blacklist some fonts freetype can't handle (rawhide)
Source6: 05-mdk-blacklist-fonts.conf
# (fc) 2.4.0-1mdv add alias for Arial
Source7: 30-arial-aliases.conf
# (fc) 2.4.2-1mdv disable embedded bitmap for big size (Mdv bug #25924)
Source8: 06-mdk-no-embeddedbitmap.conf
# (fc) 2.1-4mdk default configuration (rawhide) + (pablo) 2.2-3mdk adds font aliases for various languages
Patch1: fontconfig-2.4.0-defaultconfig.patch

URL: http://fontconfig.org/
BuildRoot: %{_tmppath}/fontconfig-%{version}-root

Requires(post): %{lib_name}  >= %{version}-%{release}
BuildRequires:	ed
BuildRequires: docbook-utils
BuildRequires: docbook-utils-pdf
BuildRequires: docbook-dtd31-sgml
BuildRequires: docbook-dtd41-sgml
BuildRequires: lynx
BuildRequires: freetype2-devel >= %{freetype_version}
BuildRequires: libxml2-devel
BuildRequires: autoconf2.5 >= 2.54

%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package -n %{lib_name}
Summary: Font configuration and customization library
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}
Provides: lib%{name} = %{version}-%{release}
Provides: %{name}-libs = %{version}-%{release}

%description -n %{lib_name}
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package -n %{lib_name}-devel
Summary: Font configuration and customization library
Group: Development/C
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Requires: freetype2-devel >= %{freetype_version}

%description -n %{lib_name}-devel
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which 
will use fontconfig.

%prep
%setup -q
%patch1 -p1 -b .defaultconfig

%build
%configure2_5x --localstatedir=/var \
   --with-add-fonts="/usr/lib/X11/fonts,/usr/X11R6/lib/X11/fonts,/opt/ttfonts,/usr/share/yudit/fonts" \
   --enable-libxml2

%make

make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d 

# needed in case main config files isn't up to date
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d/00-cache.conf
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<!-- Font cache directory list -->

        <cachedir>/var/cache/fontconfig</cachedir>
        <cachedir>~/.fontconfig</cachedir>

</fontconfig>
EOF

#replaced by source2
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d/20-fix-globaladvance.conf

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/fontconfig 

%clean
rm -rf $RPM_BUILD_ROOT

%triggerprein -- fontconfig < 2.4.0
rm -f %{_var}/cache/fontconfig/*.cache-2

%post
%{_bindir}/fc-cache --force --system-only >/dev/null

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING doc/fontconfig-user.html doc/fontconfig-user.txt
%dir %{_var}/cache/fontconfig
%{_bindir}/*
%dir %{_sysconfdir}/fonts
%dir %{_sysconfdir}/fonts/conf.d
%dir %{_sysconfdir}/fonts/conf.avail
%{_sysconfdir}/fonts/fonts.dtd
# those files must NOT have noreplace option
%config %{_sysconfdir}/fonts/fonts.conf
%config %{_sysconfdir}/fonts/conf.d/*.conf
%config %{_sysconfdir}/fonts/conf.avail/*.conf
%config %{_sysconfdir}/fonts/conf.avail/README
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc doc/fontconfig-devel doc/fontconfig-devel.txt 
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man3/*


%changelog
* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-2mdv2007.0
+ Revision: 102607
- bunzip patch
- Update patch0 / source 3 for new japanese fonts (Mdv bug #27161)
- Release 2.4.2
- Add source8: disable embedded pixmap for big size (Mdv bug #25924)
- Import fontconfig



* Mon Sep 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.1-1mdv2007.0
- Release 2.4.1
- reupdate patch1, to really fix DejaVu preference over Vera
- Remove patch2, merged upstream

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.0-3mdv2007.0
- Update patch1 to prefer DejaVu over Vera (regression for QT) (Mdv bug #25648)

* Tue Sep 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.0-2mdv2007.0
- Patch2 (GIT): add ppc64 signature
- Config files are no longer noreplace, otherwise update may break (Mdv bug #25609)
- Users should create additionnal files in /etc/fonts/conf.d 

* Mon Sep 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.0-1mdv2007.0
- Release 2.4.0 (yes, it is stable)
- Regenerate patch1
- Add source6 (previously in patch1)
- Remove patch2 (merged upstream)-
- Update source4 to no longer disable hinting for CJK (Mdv bug #22629)
- Update source1 to fix Mdv bug #21940

* Fri May 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.95-3mdk
- Rebuild with modular xorg

* Thu May 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.95-2mdk
- Patch2 (DavidTurner): speedup fontconfig cache regeneration

* Wed Apr 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.95-1mdk
- Release 2.3.95
- Regenerate patch1
- Regenerate source1, symbol part is now merged upstream

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.94-1mdk
- Release 2.3.94

* Mon Feb 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-11mdk
- New CVS Snapshot (20060218)
- Remove patches 2, 3, 4, 5, 6, 7 (merged upstream)
- Force a system cache cleanup when upgrading for earlier releases

* Fri Feb 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-10mdk
- Patch7 (SUSE): fix endless loop with symlink pointing to parent dir

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-9mdk
- Patch2 (SUSE): fix crash
- Patch3 (SUSE): fix font subdir parsing
- Patch4 (SUSE): code cleanup
- Patch5 (SUSE): memleak fix
- Patch6 (SUSE): fix cache update check

* Tue Jan 31 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-8mdk
- Update to CVS snapshot 20060131
- Remove patches 2, 3, 4, 5 (merged upstream)

* Mon Jan 30 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-7mdk
- Patch5: fix old manpages (Mdk bug #20893)

* Thu Jan 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-6mdk
- Patch4 (Mike Fabian): normalize path in fc-cache

* Thu Jan 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-5mdk
- Patch2 (Mike Fabian): fix global dir handling (fix some crash)
- Patch3 (Mike Fabian): fix one crash in fc-cat

* Wed Jan 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-4mdk
- Update to CVS snapshot 20060111
- remove patches 2 & 3 (merged upstream)

* Wed Jan 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-3mdk
- Patch3: resolve path argument in fc-cache

* Wed Jan 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-2mdk
- System cache files are now located in /var/cache/fontconfig

* Mon Jan 02 2006 Helio Chissini de Castro <helio@mandriva.com> 2.3.93-1mdk
- Update for final 2.3.93
- Remove bad cmap patch
- Added L.Lunak patch to avoid random crashes with memory map

* Wed Nov 30 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-7mdk
- Update to 2.3.93-CVS snapshot 20051130
- Remove patches 14, 15, 16, 17, 18, 19 (merged upstream), patch13 (no longer needed)

* Wed Nov 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-6mdk
- Patch18: fix fc-match -s not detected correctly
- Patch19: fix warnings

* Fri Nov 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-5mdk
- Patch16: fix invalid free in config load (reported by SadEagle)
- Patch17: fix crash in fc-cat

* Thu Nov 17 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-4mdk
- Patch15 (sunmoon1997): fix crash with invalid config file

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-3mdk
- Update patch7 and source3 with new chinese fonts (Mdk bug #19811)

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-2mdk
- Patch14: add warnings when invalid const value are used
- Update source6, don't blacklist Luxi Mono

* Wed Nov 09 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-1mdk
- Release 2.3.92 (development release) aka mmap cache 
- Remove patches 0 (no longer needed), 14 (merged upstream)
- Regenerate patch7
- Replace patch5 with source6 (replacing patch with config file is always better)
- Patch13: prevent cache corruption
- use libxml2 instead of expat

* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.3.2-5mdk
- built-in libtool fixes

* Fri Aug 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.2-4mdk
- fix prereq, it was incorrect
- reduce patch 7, remove patches 9, 10, 13, use several individual 
  configuration files in conf.d, suggestion from Funda Wang (Mdk bug #17237)
- add more aliases for Helvetica (Guiseppe)

* Wed Aug 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.2-3mdk
- Fix PreReq
     - Close ticket 17438

* Tue Aug 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.2-2mdk 
- Patch14 (CVS): don't include config files ending with .rpmnew/.rpmsave

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.2-1mdk
- New release 2.3.2
- regenerate patch 7

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-2mdk 
- Really update patch 8

* Thu Mar 10 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-1mdk 
- Release 2.3.1
- Update patch8 (fix Mdk bug 13357)

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.0-1mdk 
- Release 2.3.0
- Regenerate patch 8

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.99-3mdk 
- Update patch7 to fix default chinese fonts (Funda Wang) (Mdk bug #13357)

* Fri Feb 04 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.99-2mdk>
- aliases for the new Han and tifinagh fonts

* Mon Jan 31 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.99-1mdk
- New release 2.2.99

* Wed Jan 12 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.98-2mdk 
- Update patch8 to no discard bitmap fonts

* Tue Jan 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.98-1mdk 
- Release 2.2.98
- Remove patches 3, 8, 11 (merged upstream)
- Regenerate patches 5, 7

* Wed Nov 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.96-8mdk
- patch 13: dejavu is vera compatible (vera+extra symbols)

* Fri Sep 24 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.96-7mdk
- fixed some of the aliases to mach new names (and comments about
  fonts coverage)
- disabled hinting for CJK fonts (UTUMI Hirosi patch)

* Thu Aug 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.96-6mdk
- fixed width of dual width monospace fonts (typically CJK fonts)
- improved language coverage detection

* Tue Aug 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.96-5mdk
- disactivated hinting for "Mukti Narrow" and "Likhan"
- inclusion of culmus.conf
- "Mitra Mono" (bengali monospace font) added to monospace aliases

* Thu Aug 05 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.96-4mdk
- Some more font aliases

* Tue Jul 27 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.96-3mdk
- add BuildRequires: lynx

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.96-2mdk
- Fix buildrequires

* Mon Jul 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.96-1mdk
- Release 2.2.96 
- Enable libtoolize

* Tue Jun 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.95-1mdk
- Release 2.2.95
- Remove patch10 (merged upstream)

* Thu May 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.94-1mdk
- Release 2.2.94
- Patch10 : fix build with latest freetype
- Fix recognition of some bitmap fonts (Mdk bug #9652)
- Remove patch6 (merged upstream)
- Regenerate patch7 and add more aliases for some known fonts (Fedora)
- Regenerate patch9

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2-1mdk
- Release 2.2.2
- Remove patch10 (merged upstream)

* Wed Dec 17 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> - 2.2.1-7mdk
- Patch9: add patch to use URW fonts as preferred.
- Patch10: add patch for compiling with freetype 2.1.7.

* Wed Aug 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-6mdk
- Patch8: fix crash when HOME is not defined (bug #4518)

* Thu Aug 14 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2.1-5mdk
- Add Provides: libfontconfig, fontconfig-libs

* Thu Aug  7 2003 Pixel <pixel@mandrakesoft.com> 2.2.1-4mdk
- rebuilding, since pablo forgot to upload libfontconfig :-/

* Wed Aug 06 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.1-3mdk
- Changed name of Urdu Nastaliq font

* Wed Jul 23 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.1-2mdk
- added some fonts to sans/serif/mono aliases
- put back the special rules to fix display with Raghindi (devanagari) font
  (hinting must be disabled, and antialias disabled at small sizes)

* Wed Jul  9 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-1mdk
- Release 2.2.1

* Wed May 14 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.0-3mdk
- added various indic fonts to sans/serif/mono aliases
- added special rules to fix display with Raghindi (devanagari) font
  (hinting must be disabled, and antialias disabled at small sizes) 

* Mon May 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0-2mdk
- Rebuild to get the new devel dependencies

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0-1mdk
- Release 2.2.0
- Make sure all X11 fonts are in default configuration.

* Thu Apr 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1.94-1mdk
- Release 2.1.94
- Regenerate patches 3, 7
- Remove patches 4, 9, 10, 11, 12, 13, 14 (merged upstream)

* Tue Mar 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1-9mdk
- Update patch 4 with FcConfigEnableHome backport

* Wed Mar 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> - 2.1-8mdk
- Changed default Tamil fonts; added "Code2000" at the end of
  aliases for "Sans".

* Thu Feb 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1-7mdk
- Merge patch 8 in patch 7 : patches should not patch patched portion of files...
- Keith Packard is my hero : 
 - Patch14 (CVS): fix matching code (Mdk bug 812)

* Tue Feb 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1-6mdk
- Patch9 (CVS): don't try to run fc-cache in dir without write access (CVS)
- Patch10 (CVS): Dont cache directorys until they've been scanned,avoids 
losing subdir contents, track dirs containing fonts.cache files referenced 
from ~/.fonts.cache file 
- Patch11 (CVS): fix crash in subpixel config load
- Patch12 (CVS): fix UTF-16 conversion
- Patch13 (CVS): speedup FcStrCmpIgnoreCase
- Update patch4 to first use $HOME and fallback using getpwuid

* Wed Jan 15 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.1-5mdk
- improved the default fontset aliases so it matches previous Xft1 setting

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-4mdk
- Patch5 (rawhide): blacklist certain fonts freetype can't handle
- Patch6 (rawhide): support for slighthint is back
- Patch7 (rawhide): change order of default fonts 

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-3mdk
- Update patch4 to fallback to $HOME if not info is available with getpwuid

* Fri Jan  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-2mdk
- Patch4: don't use HOME variable to get homedir

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-1mdk
- Release 2.1
- Remove patch2 (merged upstream)

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-5mdk
- Remove patches 0 & 1 (no longer needed with freetype2 2.1.3)
- Patch2: don't add build date in configuration file

* Wed Nov 6 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0-4mdk
- BuildRequires: ed

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-3mdk
- Ensure main package is required by library package

* Mon Nov  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Fix dependencies

* Mon Nov  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-1mdk
- Initial Mdk package (based on rawhide)
